
local BLOODFLY = Bot.Template("BLOODFLY", "KYRMIR_BLOODFLY"); 

BLOODFLY.setLevel(0);
BLOODFLY.setMagicLevel(0);

BLOODFLY.setHealth(50);
BLOODFLY.setRespawnTime(60)

BLOODFLY.setDamage(DAMAGE_EDGE, 25);

BLOODFLY.setProtection(DAMAGE_EDGE, 0);
BLOODFLY.setProtection(DAMAGE_BLUNT, 500);
BLOODFLY.setProtection(DAMAGE_FIRE, 0);
BLOODFLY.setProtection(DAMAGE_MAGIC, 10);
BLOODFLY.setProtection(DAMAGE_POINT, 20);

// Fight system
BLOODFLY.setWarnTime(6);
BLOODFLY.setHitDistance(180);
BLOODFLY.setChaseDistance(1800);
BLOODFLY.setDetectionDistance(1200);
BLOODFLY.setAttackSpeed(1800);

BLOODFLY.setInitiativeFunction(STANDARD_ANIMAL_AI);

BLOODFLY.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() == "S_FISTWALKL")
    {
        bot.setAngle(random(0, 360));

        switch(random(0, 2))
        {
            case 0: bot.playAni("R_ROAM1"); break;				
            case 1: bot.playAni("T_STAND_2_EAT"); break;	
            case 2: bot.playAni("T_PERCEPTION"); break;	
        }
    }
    else
    {
        local position = bot.getPosition(), respawn = bot.getRespawnPosition();

        if(getDistance2d(position.x, position.z, respawn.x, respawn.z) > 400)
        {   
            local vector = getVectorAngle(position.x, position.z, respawn.x, respawn.z);
                bot.setAngle(vector);
        }

        bot.playAni("S_FISTWALKL");			
    }
}
, 7);

registerMonsterTemplate("KYRMIR_BLOODFLY", BLOODFLY);

// Drop
registerMonsterReward("KYRMIR_BLOODFLY", Reward.Content(50)
    .addDrop(Reward.Drop("ITMI_GOLD", 35, 35))
);

// Spawnlist
spawnBot(BLOODFLY, -28969, -852, 10777, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, -27795, -1030, 10309, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, -29643, -789, 9981, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, -16839, -503, -4980, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, -15811, -376, -5834, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 20687, -5258, 3718, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 20321, -5130, 2398, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 21506, -4996, 684, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 21973, -4996, -207, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 23062, -5036, -869, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 23524, -5258, -2442, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 28626, -4650, -8154, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 25180, -4582, -7071, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 23392, -4567, -7125, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 24823, -5171, -5008, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 14242, -4949, -4076, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 13114, -5195, -7379, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 12874, -5071, -8124, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 14754, -5159, 6428, "ADDONWORLD.ZEN");
spawnBot(BLOODFLY, 18709, -5120, 4418, "ADDONWORLD.ZEN");

spawnBot(BLOODFLY, -8529.83, -748.686, -3551.04, "COLONY.ZEN");
spawnBot(BLOODFLY, -8441, -618.104, -3744, "COLONY.ZEN");
spawnBot(BLOODFLY, -8926, -955.351, -3626, "COLONY.ZEN");
spawnBot(BLOODFLY, 12185.2, 136.328, 6005.89, "COLONY.ZEN");
spawnBot(BLOODFLY, 11634, -75.7142, 6235, "COLONY.ZEN");
spawnBot(BLOODFLY, 11786, -160.772, 6846, "COLONY.ZEN");
spawnBot(BLOODFLY, 18140, 34.9894, 5177, "COLONY.ZEN");
spawnBot(BLOODFLY, 18400, -13.486, 5322, "COLONY.ZEN");
spawnBot(BLOODFLY, 17980.9, -61.9651, 4699.34, "COLONY.ZEN");
spawnBot(BLOODFLY, 17412.5, 30.4381, 4829.09, "COLONY.ZEN");
spawnBot(BLOODFLY, 12880, -1414.5, 11228.8, "COLONY.ZEN");
spawnBot(BLOODFLY, 12407.6, -1233.1, 10779.9, "COLONY.ZEN");
spawnBot(BLOODFLY, 11857.6, -1467.33, 11550.7, "COLONY.ZEN");
spawnBot(BLOODFLY, 3720, -1102.91, 7796, "COLONY.ZEN");
spawnBot(BLOODFLY, 3181, -1059.05, 8644, "COLONY.ZEN");
spawnBot(BLOODFLY, -643, -1135.3, 9440, "COLONY.ZEN");
spawnBot(BLOODFLY, -15881.8, -533.595, 11614.3, "COLONY.ZEN");
spawnBot(BLOODFLY, -16241.3, -530.092, 13637.1, "COLONY.ZEN");
spawnBot(BLOODFLY, -16231, 228.542, 18414, "COLONY.ZEN");
spawnBot(BLOODFLY, -17298.3, -3.68088, 19050.4, "COLONY.ZEN");
spawnBot(BLOODFLY, -17632, 102.328, 19117, "COLONY.ZEN");
spawnBot(BLOODFLY, -24831.4, -309.531, 15088, "COLONY.ZEN");
spawnBot(BLOODFLY, -24657.1, -322.891, 15061.1, "COLONY.ZEN");
spawnBot(BLOODFLY, -24118, -420.665, 14756, "COLONY.ZEN");
spawnBot(BLOODFLY, -33889.2, 776.041, 11225.5, "COLONY.ZEN");
spawnBot(BLOODFLY, -34439.2, 748.332, 11272.3, "COLONY.ZEN");
spawnBot(BLOODFLY, -34724.2, 268.797, 2238.8, "COLONY.ZEN");
spawnBot(BLOODFLY, -34405.3, 56.3981, 1341.85, "COLONY.ZEN");
spawnBot(BLOODFLY, -31026, 429.203, -3774, "COLONY.ZEN");
spawnBot(BLOODFLY, -30668, 500.743, -3827, "COLONY.ZEN");
spawnBot(BLOODFLY, -30365, 549.088, -2916, "COLONY.ZEN");
spawnBot(BLOODFLY, -27195.9, -495.626, 12262, "COLONY.ZEN");
spawnBot(BLOODFLY, -19527.9, -832.065, 7124.84, "COLONY.ZEN");
spawnBot(BLOODFLY, -24769, -213.761, -10949, "COLONY.ZEN");
spawnBot(BLOODFLY, 7440.86, -1239.45, 15061.4, "COLONY.ZEN");
spawnBot(BLOODFLY, 6934, -1258.99, 15180, "COLONY.ZEN");
spawnBot(BLOODFLY, -24835, -190.006, -10115, "COLONY.ZEN");
spawnBot(BLOODFLY, 18911.2, -1321.22, 11724.6, "COLONY.ZEN");
spawnBot(BLOODFLY, 19364, -1123.63, 11893, "COLONY.ZEN");
spawnBot(BLOODFLY, 27221.4, 363.555, -356.446, "COLONY.ZEN");
spawnBot(BLOODFLY, 26021, 522.437, 48, "COLONY.ZEN");
spawnBot(BLOODFLY, 27289, 372.489, -432.899, "COLONY.ZEN");
spawnBot(BLOODFLY, 25801.1, 443.792, -279.697, "COLONY.ZEN");
spawnBot(BLOODFLY, 19991.8, -565.807, 1678.76, "COLONY.ZEN");
spawnBot(BLOODFLY, 20848.3, -472.313, 1792.26, "COLONY.ZEN");
spawnBot(BLOODFLY, 15527, 1059.13, -17728, "COLONY.ZEN");
spawnBot(BLOODFLY, 15042.4, 928.969, -17947, "COLONY.ZEN");
spawnBot(BLOODFLY, 14969, 1058.07, -17514, "COLONY.ZEN");
spawnBot(BLOODFLY, 30337.1, -357.894, -6223.63, "COLONY.ZEN");
spawnBot(BLOODFLY, 45559.8, -3772.59, -23480.9, "COLONY.ZEN");
spawnBot(BLOODFLY, 45749.6, -3772.7, -23032.6, "COLONY.ZEN");
spawnBot(BLOODFLY, 49284.7, -3772.7, -22684, "COLONY.ZEN");
spawnBot(BLOODFLY, 49578.3, -3995.75, -21693.6, "COLONY.ZEN");
spawnBot(BLOODFLY, 49868, -3775.59, -23370.8, "COLONY.ZEN");
spawnBot(BLOODFLY, 52600, -3748.99, -21856, "COLONY.ZEN");
spawnBot(BLOODFLY, 52627, -3697.04, -22058, "COLONY.ZEN");
spawnBot(BLOODFLY, 55668, -3674.34, -22502, "COLONY.ZEN");
spawnBot(BLOODFLY, 55660, -3674.34, -22619, "COLONY.ZEN");
spawnBot(BLOODFLY, 55597, -3674.34, -22707, "COLONY.ZEN");
spawnBot(BLOODFLY, 53039, -3624.34, -28718, "COLONY.ZEN");
spawnBot(BLOODFLY, 53089, -3624.5, -28793, "COLONY.ZEN");
spawnBot(BLOODFLY, 53141, -3624.35, -28932, "COLONY.ZEN");
spawnBot(BLOODFLY, 53181.4, -3622.29, -28837.6, "COLONY.ZEN");
spawnBot(BLOODFLY, 56266, -3674.34, -28384, "COLONY.ZEN");
spawnBot(BLOODFLY, 56292, -3674.35, -29182, "COLONY.ZEN");
spawnBot(BLOODFLY, -17969.6, -443.312, 6625.49, "COLONY.ZEN");
spawnBot(BLOODFLY, -16883.3, -244.576, 6726.21, "COLONY.ZEN");
spawnBot(BLOODFLY, 28583, -544.11, -4171, "COLONY.ZEN");
spawnBot(BLOODFLY, 28435, -513.234, -4216, "COLONY.ZEN");
spawnBot(BLOODFLY, 35037, -1930.71, -5346, "COLONY.ZEN");
spawnBot(BLOODFLY, 32603.2, -700.827, -6953.22, "COLONY.ZEN");
spawnBot(BLOODFLY, 51467, -3523.71, 5117, "COLONY.ZEN");
spawnBot(BLOODFLY, 50899.4, -3560.22, 4607.5, "COLONY.ZEN");
spawnBot(BLOODFLY, -11809, -527.569, 13813, "COLONY.ZEN");
spawnBot(BLOODFLY, -11918.2, -220.938, 13865.1, "COLONY.ZEN");
spawnBot(BLOODFLY, -16639.4, -421.225, 15438.8, "COLONY.ZEN");
spawnBot(BLOODFLY, -16548, -465.739, 14924.7, "COLONY.ZEN");
spawnBot(BLOODFLY, -16481, -833.603, 17102, "COLONY.ZEN");
spawnBot(BLOODFLY, 44448.8, -3938.1, -19104.2, "COLONY.ZEN");
spawnBot(BLOODFLY, 44578.5, -3948.31, -18837.5, "COLONY.ZEN");
spawnBot(BLOODFLY, 45280.2, -3935.66, -17476.7, "COLONY.ZEN");